pdadmin-forum

pdadmin-forum » PD-Admin » Anwendung » PHP accelerator wird nicht erkannt » Hallo Gast [Anmelden|Registrieren]
Letzter Beitrag | Erster ungelesener Beitrag Druckvorschau | An Freund senden | Thema zu Favoriten hinzufügen
Seiten (2): « vorherige 1 [2] Neues Thema erstellen Antwort erstellen
Zum Ende der Seite springen PHP accelerator wird nicht erkannt
Autor
Beitrag « Vorheriges Thema | Nächstes Thema »
chrischnian
Mitglied


Dabei seit: 30.03.2005
Beiträge: 631
Herkunft: Küps

Themenstarter Thema begonnen von chrischnian
Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Wäre alles richtig eingerichtet von der php.ini her?

Für APCu muss doch kein Dienst eingerichtet werden wie für Memcache oder?
30.05.2017 10:00 chrischnian ist offline E-Mail an chrischnian senden Homepage von chrischnian Beiträge von chrischnian suchen Nehme chrischnian in Deine Freundesliste auf
WebTeufel
Mitglied


Dabei seit: 19.01.2012
Beiträge: 423

Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

wenn man /usr/local/pd-admin2/bin/php-7.0-cli -v verwendet wird die user php.ini doch gar nicht gebraucht oder nicht?
30.05.2017 22:14 WebTeufel ist offline E-Mail an WebTeufel senden Homepage von WebTeufel Beiträge von WebTeufel suchen Nehme WebTeufel in Deine Freundesliste auf Füge WebTeufel in Deine Kontaktliste ein
Sumeragi
Mitglied


Dabei seit: 19.07.2016
Beiträge: 22
Herkunft: Dortmund

Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Zitat:
Original von WebTeufel
wenn man /usr/local/pd-admin2/bin/php-7.0-cli -v verwendet wird die user php.ini doch gar nicht gebraucht oder nicht?


Richtig, die php.ini des Nutzers muss mit "-c /Pfad/zur/php.ini" angegeben werden.
31.05.2017 21:19 Sumeragi ist offline E-Mail an Sumeragi senden Homepage von Sumeragi Beiträge von Sumeragi suchen Nehme Sumeragi in Deine Freundesliste auf
chrischnian
Mitglied


Dabei seit: 30.03.2005
Beiträge: 631
Herkunft: Küps

Themenstarter Thema begonnen von chrischnian
Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Ok aber wie kann es sein das es nicht erkannt wird?

Das ist immernoch die Frage. Die Skripte sind tw professionelle oder stark genutzt. Dennoch wird es nicht erkannt.

Ich bin kein Programmierer denke aber das diese nicht eigenentwicklungen nutzen sonder schon an vorhandenen anknüpfen!

Wo kann ich hier noch was machen?
01.06.2017 12:52 chrischnian ist offline E-Mail an chrischnian senden Homepage von chrischnian Beiträge von chrischnian suchen Nehme chrischnian in Deine Freundesliste auf
chrischnian
Mitglied


Dabei seit: 30.03.2005
Beiträge: 631
Herkunft: Küps

Themenstarter Thema begonnen von chrischnian
Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Also wenn ich das apcu unter php 5.6 aktiviere wird es von allen Systemen erkannt.

Unter php 7.0 nicht?

Bin gerade ein wenig verwirrt.
01.06.2017 15:16 chrischnian ist offline E-Mail an chrischnian senden Homepage von chrischnian Beiträge von chrischnian suchen Nehme chrischnian in Deine Freundesliste auf
chrischnian
Mitglied


Dabei seit: 30.03.2005
Beiträge: 631
Herkunft: Küps

Themenstarter Thema begonnen von chrischnian
Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Ich habe nochmal geschaut.

Kann es sein das wir "apcu-bc" benötigen. Dies scheint eine Komponenten zu sein für die Abwärtskompatibiltät.

https://serverpilot.io/community/article...-extension.html
01.06.2017 17:50 chrischnian ist offline E-Mail an chrischnian senden Homepage von chrischnian Beiträge von chrischnian suchen Nehme chrischnian in Deine Freundesliste auf
Sumeragi
Mitglied


Dabei seit: 19.07.2016
Beiträge: 22
Herkunft: Dortmund

Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Zitat:
Original von chrischnian
http://www.lichte-kraft.eu/phpinfo.php

Das Skript ist: http://akeneo.com/


https://docs.akeneo.com/1.5/reference/pe.../php7_hhvm.html

https://docs.akeneo.com/1.7/reference/pe.../php7_hhvm.html

Akeneo schreibt, PHP7 werde bisher nur experimentell unterstützt und sei noch nicht produktiv einsetzbar. Hier würde ich also das Problem bei der Software vermuten. Auch würde ich den Angaben der phpinfo vertrauen. Dort wird APCu geladen und steht somit zur Verfügung.
02.06.2017 09:30 Sumeragi ist offline E-Mail an Sumeragi senden Homepage von Sumeragi Beiträge von Sumeragi suchen Nehme Sumeragi in Deine Freundesliste auf
chrischnian
Mitglied


Dabei seit: 30.03.2005
Beiträge: 631
Herkunft: Küps

Themenstarter Thema begonnen von chrischnian
Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Seit gestern Abend habe ich es am laufen. Der Fehler lag am Installationsskript.

Wenn man es über Composer installiert hat dann ruft man php ja über /usr/local/pd-admin2/bin/php-7.0-cli auf

mittendrin hat aber das Installationsskript das ganze nochmal mit "php" aufgerufen was unter /bin/ ja nicht gibt und dadurch wurde was nicht beendet.

Ich habe es nun mit PHP7 nun am laufen. Aber das auch der JTL-Shop / Piwik / Mautic die ja offiziell PHP7 ready sind es nicht erkennen. Ist mir ein Rätsel.

Aber egal ich habe es erstmal erreicht was ich wollte.
Vielleicht sollte man doch mal prüfen ob man das APCu_BC doch nicht braucht??
Aber dazu kann nur Herr Bradler was sagen.
02.06.2017 10:59 chrischnian ist offline E-Mail an chrischnian senden Homepage von chrischnian Beiträge von chrischnian suchen Nehme chrischnian in Deine Freundesliste auf
Seiten (2): « vorherige 1 [2] Baumstruktur | Brettstruktur
Gehe zu:
Neues Thema erstellen Antwort erstellen
pdadmin-forum » PD-Admin » Anwendung » PHP accelerator wird nicht erkannt

Impressum | Team | Hilfe

Forensoftware: Burning Board, entwickelt von WoltLab GmbH    |    Design entwickelt von You-Online.de